
var current = 0;
var interval;
var updateIntervalInSeconds = 1200; // reload every 200 minutes
var direction = 1;

var maxWidth = 115;
var maxHeight = 80;


function load() {
    document.currentId = 0;
    document.getElementById("detailTextSpan").innerHTML = '<center>Loading ...<br /><br /><img src="images/ajax_loading.gif" /></center>';

    // preload the images (will be browser-cached if possible)
    for(i=0; i< camCount; i++)
    {
        tmp = new Image();
        tmp.src = camImage[i];        
    }
    
    current = camCount;
    document.getElementById("detailTextSpan").innerHTML = '';
    next();
    
    
}

function next()
{
    direction = 1;    

    if(++current >= camCount) current = 0;
    
    replaceImage();
    
    window.clearInterval(interval);
    interval = window.setInterval("next()", 7000);     
}

function replaceImage()
{
    // is the image buffered?
    image = null;
    now = new Date();

    if(imageLastUpdate[current] == null)
    {
        image = document.createElement('image');
        image.id = 'camImage';
        image.src = camImage[current];

        // resize the image
        width = camWidth[current];
        height = camHeight[current];

        // if the image is too large, compute the best size
        if( (width > maxWidth) || (height > maxHeight) ){
            if( (maxWidth - width) > (maxHeight - height)){
                image.width =  Math.floor(width * Math.floor(100*maxHeight/height) / 100);
                image.height = maxHeight;	
            } else {
                image.height = Math.floor(height * Math.floor(100*maxWidth/width) / 100);
                image.width = maxWidth;							
            }
        }

        imageBuffer[current] = image;
        imageLastUpdate[current] = now.getTime() / 1000;
    } if(((now.getTime() / 1000) - imageLastUpdate[current]) > updateIntervalInSeconds) 
    {
        location.reload();
        return;
    } else {
        image = imageBuffer[current];
    }

    if(document.getElementById('imageLink').childNodes.length > 0)
    {
        document.getElementById('imageLink').removeChild(document.getElementById('camImage'));
    }
    document.getElementById('imageLink').appendChild(image);
    
    document.getElementById('imageLink').href = camUrl[current];
    document.getElementById('cityTitle').innerHTML = camCity[current];
    document.getElementById('detailTextSpan').innerHTML = camText[current]+'<br /><a href="#" onclick="toggleFlyout(); return false;">Details</a>';

}

function toggleFlyout()
{
    System.Gadget.Settings.write("currentWebcamId", current);
    System.Gadget.Flyout.file = 'flyout.html';
    System.Gadget.Flyout.show = System.Gadget.Flyout.show ? false : true;
}




