
var id = 0;
var maxWidth = 280;
var maxHeight = 210;

function loadFlyout() {
    id = System.Gadget.Settings.read("currentWebcamId");
    
    image = document.createElement('image');
    image.id = 'webcamImage';

    image.src = camImage[id];

    // resize the image
    width = camWidth[id];
    height = camHeight[id];

    // if the image is too large, compute the best size
    if( (width > maxWidth) || (height > maxHeight) ){
        if( (maxWidth - width) > (maxHeight - height)){
            image.width =  Math.floor(width * Math.floor(100*maxHeight/height) / 100);
            image.height = maxHeight;	
        } else {
            image.height = Math.floor(height * Math.floor(100*maxWidth/width) / 100);
            image.width = maxWidth;							
        }
    } else {
        image.width = width;
        image.height = height;
    }
    document.getElementById('titleSpan').innerHTML = camCity[id];
    document.getElementById('imageLink').appendChild(image);
    document.getElementById('imageLink').href = camUrl[id];
    document.getElementById('copySpan').innerHTML = camText[id];
    showMap();
}

function showMap()
{
    var map = new VEMap('myMap');
    map.LoadMap(new VELatLong(camLatitude[id], camLongitude[id]), // location
    //map.LoadMap(new VELatLong(40.42003075757533, -3.7015342712402517), // location
                                9 , // zoom (1-19)
                                'r' , // style
                                false // locked
                                );
    // map.SetMapStyle(VEMapStyle.Aerial);
    map.SetMapStyle(VEMapStyle.Hybrid);
    map.HideDashboard();
}
